SystemOrganization addCategory: #'PW-Components'!

Object subclass: #PWAjaxComponent
	instanceVariableNames: 'html'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Components'!

!PWAjaxComponent class methodsFor: 'as yet unclassified' stamp: 'chc 1/2/2016 09:16'!
html: aString
	^self basicNew
		initializeWithWikiString: aString! !

!PWAjaxComponent methodsFor: 'accessing' stamp: 'chc 1/2/2016 09:17'!
html 
	^html! !

!PWAjaxComponent methodsFor: 'accessing' stamp: 'chc 1/4/2016 10:32'!
html: anObject
	html := anObject! !

!PWAjaxComponent methodsFor: 'as yet unclassified' stamp: 'chc 1/2/2016 09:16'!
initializeWithWikiString: aString
	html := aString
	! !

!PWAjaxComponent methodsFor: 'as yet unclassified' stamp: 'chc 1/2/2016 09:17'!
renderOn: json
	json object:
		[json name: 'count' value: html]! !

ALAsyncExample subclass: #PWConfigPage
	instanceVariableNames: 'integer something'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Components'!

!PWConfigPage commentStamp: 'chc 6/17/2016 13:57' prior: 0!
A page is a sub variet of a component. Pages are labelled pages. Pages respond to #renderContentOn:. Components respond to #renderOn: !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 1/7/2016 18:45'!
initialize
	integer := 'off'.
	something := 'Coco Beware'! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 3/29/2016 11:54'!
installerScriptForPEGWiki
	^'Installer ss3 project: ''PEGWiki'';
	install: ''PEGWiki-Model'';
 	install: ''PEGWiki-Core'';
	install: ''PEGWiki-PEG'';
	install: ''PEGWiki-Resources'';
	install: ''PEGWiki-Examples'''! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 2/1/2016 13:50'!
renderAttribute: anAttribute on: anHtmlCanvas

	! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 4/6/2016 16:11'!
renderContentOn: html
	| shell |
	shell := CommandShell new.
	html form beMethodGet; with:
		[ html p: 'Show wiki syntax form for editing page content: '.
			html input 
			beTypeRadio;
			value: 'on';
			callback: [:str | PWSeasidePrefsModel instance takeValue: str forAttribute: (WAStringAttribute key: #render group: #wikidata). ];
			with: [html text: 'On'].
		html br. 
		html input beTypeRadio;
			value: 'off';
			callback: [:str | PWSeasidePrefsModel instance takeValue: str forAttribute: (WAStringAttribute key: #render group: #wikidata). ];
			with: [html text: 'Off'].
		html br.
		html input beTypeSubmit; value: 'Save'.
		html br.
		html text: (PWSeasidePrefsModel instance valueAt: #render) ].
	
		"html table with: [ 
			PWSeasidePrefsModel instance groupedAttributes do: [:association| 
					html tr with: [
						html td colspan: '2'; with: [ html h3: (self labelForSelector: association key).
							association value do: [ :attribute |
								self renderAttribute: attribute on: html ]
				 			]]]].
		html br.
		html table
			with: [html tr
				with: [html td with: 'Port'.
					html td with: '8624']].
		html textarea."
		html p: 'Installer script form:'. html br. 
		html form beMethodGet; with:
		[html textarea 
			"beTypeText"
			"size: '100';"
			"value: 'Installer ss project: ''Games''; install: ''MorphicGames-md.1.mcz''';"
			callback: [:str | Compiler evaluate: str unescapePercents "integer := str ""asNumber"];
			with: [ "html text: 'Installer ss project: ''Games''; install: ''MorphicGames-md.1.mcz'''" html text: self installerScriptForPEGWiki ].
		html br.
		html input beTypeSubmit.
		"html text: integer asWords"].
	html p: 'Purge code to default and restart image:'. html br. 
	html a 
		class: 'action';
		callback: [ shell command: '/home/ooplu/vm/working/cogspurlinuxht/squeak   -vm display=none /home/ooplu/images/working/Squeak5.0-15113.image &'.
					SmalltalkImage current snapshot: false andQuit: true
		]; 
		with: 'Restart'.
		self renderStyleOn: html.
		
		
		
		! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 1/28/2016 12:32'!
renderStyleOn: html
	^ html style: '
			table, tr, td {border: 1px solid green;}'! !
